/* menu commands */

#define ME_QUIT		0	/* quit nn				*/
#define ME_NEXT		1	/* continue to next group		*/
#define	ME_READ		2	/* read this group, cont to next 	*/
#define ME_PREV		3	/* previous group			*/
#define ME_NO_ARTICLES	4	/* no articles in group			*/
#define ME_REDRAW	5	/* redraw screen after return */
#define ME_NO_REDRAW	6	/* screen is not corrupted */

/* show_articles commands */

#define SH_QUIT		0	/* quit nn 				*/
#define SH_NEXT		1	/* goto next group, no read		*/
#define	SH_READ		2	/* articles has been read 		*/
#define	SH_MENU		3	/* redraw menu				*/ 
#define	SH_NO_SELECT	4	/* no articles was selected		*/


/* more commands */

#define MC_QUIT		0	/* quit nn */
#define	MC_NEXT		1	/* next article */
#define MC_MENU		2	/* return to menu */
#define MC_PREV		3	/* previous article */
#define MC_NEXTSUBJ	4	/* show next subject */
#define MC_ALLSUBJ	5	/* show all with same subject */
#define MC_NEXTGROUP	6	/* next group, no read */
#define	MC_READGROUP	7	/* next group, mark as read */
#define MC_PREVIEW_NEXT	8	/* preview next article */
#define MC_PREVIEW_OTHER 9	/* preview another article */
#define MC_REDRAW	10	/* redraw screen after return */
#define MC_NO_REDRAW	11	/* screen is not corrupted */

/* more modes */

#define	MM_NORMAL	0	/* show article */
#define MM_DIGEST	1	/* show full digest */
#define MM_PREVIOUS	0x10	/* previous article exists */
#define MM_LAST_ARTICLE	0x20	/* last article in group */
#define MM_LAST_GROUP	0x40	/* last group */
#define MM_PREVIEW	0x80	/* preview mode flag */

/* alt_command return values */

#define	AC_QUIT		0	/* quit nn */
#define	AC_PROMPT	1	/* just redraw prompt line */
#define	AC_REDRAW	2	/* redraw screen */
#define AC_REORDER	3	/* articles have been reordered */
#define	AC_HEADER	4	/* update header line + Prompt */
#define AC_KEYCMD	5	/* alt_cmd_key contains command */
