# CONFIG file is inserted here

if [ x"$1" = x'-t' ] ; then
	SORTMODE="+1r"
else
	SORTMODE=""
fi

grep '^U:' $LIB/Log |

awk ' 
NF == 7 { 
	if (split($7, t, ".") == 2) u[$5] += t[1] * 60 + t[2]
}
END {
	for (n in u) {
		name=substr(n, 2, length(n)-3)
		printf("%s%16d.%02d\n", name, u[n]/60, u[n]%60);
	}
}' |

sort $SORTMODE
